- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
qi::detail::Stranded< F > Struct Template Reference

`#include <strand.hpp>`

## Public Member Functions
| Stranded (F f, boost::weak_ptr< StrandPrivate > strand, boost::function< void()> onFail, ExecutionOptions options)
template<typename... Args>
auto | operator() (Args &&...args) const -> decltype(callInStrand(_func, _onFail, _strand, _executionOptions, std::forward< Args >(args)...))
template<typename... Args>
auto | operator() (Args &&...args) -> decltype(callInStrand(_func, _onFail, _strand, _executionOptions, std::forward< Args >(args)...))

## Public Attributes
F | _func
boost::weak_ptr< StrandPrivate > | _strand
boost::function< void()> | _onFail
ExecutionOptions | _executionOptions

## Static Public Attributes
static const bool | is_async = true

## Detailed Description

### template<typename F>
struct qi::detail::Stranded< F >

Definition at line 37 of file strand.hpp.

## Constructor & Destructor Documentation

template<typename F >

qi::detail::Stranded< F >::Stranded | ( | F | f,
|  | boost::weak_ptr< StrandPrivate > | strand,
|  | boost::function< void()> | onFail,
|  | ExecutionOptions | options
| ) |  |
| inline

Definition at line 350 of file strand.hpp.

## Member Function Documentation

template<typename F >
template<typename... Args>

auto qi::detail::Stranded< F >::operator() | ( | Args &&... | args | ) | const -> decltype(callInStrand(_func, _onFail, _strand, _executionOptions, std::forward<Args>(args)...))
| inline

Definition at line 359 of file strand.hpp.

template<typename F >
template<typename... Args>

auto qi::detail::Stranded< F >::operator() | ( | Args &&... | args | ) | -> decltype(callInStrand(_func, _onFail, _strand, _executionOptions, std::forward<Args>(args)...))
| inline

Definition at line 366 of file strand.hpp.

## Member Data Documentation

template<typename F >

ExecutionOptions qi::detail::Stranded< F >::_executionOptions

Definition at line 348 of file strand.hpp.

template<typename F >

F qi::detail::Stranded< F >::_func

Definition at line 345 of file strand.hpp.

template<typename F >

boost::function<void()> qi::detail::Stranded< F >::_onFail

Definition at line 347 of file strand.hpp.

template<typename F >

boost::weak_ptr<StrandPrivate> qi::detail::Stranded< F >::_strand

Definition at line 346 of file strand.hpp.

template<typename F >

const bool qi::detail::Stranded< F >::is_async = true
| static

Definition at line 343 of file strand.hpp.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/strand.hpp